<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_c61345ccedc39c1977427766275e2d" . "a6" => base64_decode("aW1hZ2VfZ2FsbGVyeQ=" . "="), "_df945ac2fbdd15762" . "02fb48096eb43f9" => base64_decode("YWRtaW4ucG" . "FuZWxzX2xp" . "c3Q="), "p" . "e" . "r" . "m" . "s" => base64_decode("cGV" . "ybX" . "M="), "_61a5ceb347019e3" . "7116d4d2907163b8" . "2" => base64_decode("bWF0Y2hfYW" . "xs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_df945ac2fbdd" . "1576202fb4809" . "6eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c61345ccedc39c" . "1977427766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_61a5ceb347019e37116d4d2907163b8" . "2"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}